browser.runtime.onConnect.addListener(function(port) {

	port.onMessage.addListener (function(message) {
		
		browser.tabs.query({active: true, currentWindow: true}, function(tabs) {
			
			// Set log view from user settings
			if (message["consoleLogEnableView"] == true)
			{
				consoleLog = true;
			}
			else if (message["consoleLogEnableView"] == false)
			{
				consoleLog = false;
			}
			
			if(consoleLog)
			console.log( 'Background script received msg [' + JSON.stringify(message) + ']');

			// Send native message received from Content script to native app - Long live connection with native application
			if (!portNative){
				var portNative = browser.runtime.connectNative('com.ultimalabs.jana');
			}
			
			portNative.onMessage.addListener(function(response) {
				
				if(consoleLog)
				console.log("Received from native " +  JSON.stringify(response));
				
				// Send response from native app to content script (active tab)
				browser.tabs.query( { active: true, currentWindow: true }, function( tabs ) {
					
					browser.tabs.sendMessage( tabs[0].id, response);
				});
				
			});
			
			portNative.onDisconnect.addListener(function() {
					
					if(consoleLog)
					console.log("Native port disconnected");

			});
			
			// We don't send local information param message to native app
			if (typeof message["consoleLogEnableView"] == 'undefined')
			{
				portNative.postMessage(message);
			}
			
		});
		
		return true;
		
	  });  
	  
	port.onDisconnect.addListener(function() {
		
	  console.log("Port disconnected");
	  
	});

});