// Saves options to chrome.storage
function save_options() {

	var enable_console_view = document.getElementById('enable_console_log').value;

	  chrome.storage.local.set({"enableConsoleView": enable_console_view}, function() {

		// Update status to let user know options were saved.
	    var status = document.getElementById('status');
	    status.textContent = chrome.i18n.getMessage("options_saved");
	    status.style.display = 'block';
	    setTimeout(function() {
	      status.textContent = '';
	      status.style.display = '';
	    }, 1500);
	  });

}

// Restores select box and checkbox state using the preferences stored in chrome.storage.
function restore_options() {
  // Use default value 0 - Disable.
	chrome.storage.local.get({"enableConsoleView": '0',
  }, function(items) {
    document.getElementById('enable_console_log').value = items.enableConsoleView;
  });
}

// Show page element labels
function show_labels()
{
	document.title = chrome.i18n.getMessage("application_title") + " | " + chrome.i18n.getMessage("settings");
	document.getElementById('title').textContent = chrome.i18n.getMessage("application_title") + " | " + chrome.i18n.getMessage("settings");
	document.getElementById('saveBtn').textContent = chrome.i18n.getMessage("save_settings");
	document.getElementById('legend_1').textContent = chrome.i18n.getMessage("console_log_view");
	document.getElementById('enable_console_log').options[1].textContent = chrome.i18n.getMessage("enable_console_log_view");
	document.getElementById('enable_console_log').options[0].textContent = chrome.i18n.getMessage("disable_console_log_view");

}

document.addEventListener('DOMContentLoaded', restore_options);
document.addEventListener('DOMContentLoaded', show_labels);

document.getElementById('saveBtn').addEventListener('click', save_options);
